interface EducationItemProps {
    institution: string;
    location: string;
    degree: string;
    graduationYear: string;
    gpa: string;
    coursework: string;
  }
  
  export function EducationItem({
    institution,
    location,
    degree,
    graduationYear,
    gpa,
    coursework,
  }: EducationItemProps) {
    return (
      <div className="education-item">
        <div className="education-header">
          <h3>{institution}</h3>
          <span className="location">{location}</span>
        </div>
        <div className="education-header">
          <div className="degree">{degree}</div>
          <span className="date">{graduationYear}</span>
        </div>
        <div className="gpa">GPA: {gpa}</div>
        <div className="coursework">
          <strong>Relevant Coursework:</strong> {coursework}
        </div>
      </div>
    );
  }