import { Skill } from '@/types';

export function SkillGrid({ skills, showHeadings = false }: { skills: Skill[]; showHeadings?: boolean }) {
  if (showHeadings) {
    return (
      <div className="skills-sections">
        {skills.map((skillCategory, index) => (
          <div key={skillCategory.category} className={`skill-section ${index === 0 ? 'first-section' : ''}`}>
            <h3 className="skill-heading">{skillCategory.category}</h3>
            <div className="skills-grid">
              {skillCategory.items.map((skill) => (
                <div key={skill} className="skill-category">
                  {skill}
                </div>
              ))}
            </div>
          </div>
        ))}
      </div>
    );
  }
  
  return (
    <div className="skills-grid">
      {skills.map((skillCategory) =>
        skillCategory.items.map((skill) => (
          <div key={skill} className="skill-category">
            {skill}
          </div>
        ))
      )}
    </div>
  );
}